> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Grant Board Access

> Grant an agent access to a board. Requires owning both the agent and the board.



## OpenAPI

````yaml /openapi.json post /api/v1/agents/{agent_id}/boards/{board_id}
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/agents/{agent_id}/boards/{board_id}:
    post:
      tags:
        - agents
      summary: Grant Board Access
      description: >-
        Grant an agent access to a board. Requires owning both the agent and the
        board.
      operationId: grant_board_access_api_v1_agents__agent_id__boards__board_id__post
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            title: Agent Id
            type: string
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentBoardResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentBoardResponse:
      description: Schema for agent-board grant.
      properties:
        agent_id:
          title: Agent Id
          type: string
        board_id:
          title: Board Id
          type: string
        granted_at:
          format: date-time
          title: Granted At
          type: string
        granted_by:
          title: Granted By
          type: string
        id:
          title: Id
          type: string
        permission_overrides:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Permission Overrides
      required:
        - id
        - agent_id
        - board_id
        - granted_by
        - granted_at
      title: AgentBoardResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````